﻿using System;

namespace project_30_4_8 {
  class Program {
    const double ACCURACY = 0.00001;

    static void Main(string[] args) {
      double pi, pi_previous;
      int sign, denom;

      pi = 0;

      sign = 1;        //This is the sign of the first fraction
      denom = 1;       //This is the denominator of the first fraction
      do {
        pi_previous = pi;               //Keep previous pi
        pi += sign * 4 / (double)denom; //Calculate new pi by adding an extra fraction
        sign = -sign;                   //Prepare sign for the next fraction
        denom += 2;                     //Prepare denominator for the next fraction
      } while (Math.Abs(pi - pi_previous) > ACCURACY);   //Is it "close enough"?

      Console.WriteLine("Pi ~= " + pi);
    }

  }
}
