﻿using System;

namespace project_34_1_4 {
  class Program {
    const int COLUMNS = 4;

    static void Main(string[] args) {
      int i, j;

      int[,] a = { 
        {10, 11, 12, 85},
        {3, 1, 5, 10},
        {-1, 2, -5, -10}
      };

      int[,] b = {
        {10, 11, 16, 33},
        {11, 13, 5, 55},
        {-1, -2, -4, 44},
        {55, 33, 77, 12},
        {-110, 120, 132, 43}
      };

      int rows_of_a = a.Length / COLUMNS;
      int rows_of_b = b.Length / COLUMNS;

      //Create array new_arr
      int[,] new_arr = new int[rows_of_a + rows_of_b, COLUMNS];
      for (i = 0; i <= rows_of_a - 1; i++) {
        for (j = 0; j <= COLUMNS - 1; j++) {
          new_arr[i, j] = a[i, j];
        }
      }
      for (i = 0; i <= rows_of_b - 1; i++) {
        for (j = 0; j <= COLUMNS - 1; j++) {
          new_arr[rows_of_a + i, j] = b[i, j];
        }
      }

      //Display array new_arr
      for (i = 0; i <= rows_of_a + rows_of_b - 1; i++) {
        for (j = 0; j <= COLUMNS - 1; j++) {
          Console.Write(new_arr[i, j] + "\t");
        }
        Console.WriteLine();
      }
    }
  }
}
