﻿using System;

namespace project_34_3_4 {
  class Program {
    const int STUDENTS = 100;

    static void Main(string[] args) {
      int i, maximum;

      string[] names = new string[STUDENTS];
      int[] grades = new int[STUDENTS];
      for (i = 0; i <= STUDENTS - 1; i++) {
        //Prompt the user to enter a name and validate it.
        Console.Write("Enter name for student No " + (i + 1) + ": ");
        names[i] = Console.ReadLine();
        while (names[i] == "") {
          Console.WriteLine("Error! Name cannot be empty!");
          Console.Write("Enter name for student No " + (i + 1) + ": ");
          names[i] = Console.ReadLine();
        }

        //Prompt the user to enter a grade and validate it.
        Console.Write("Enter his or her grade: ");
        grades[i] = Int32.Parse(Console.ReadLine());
        while (grades[i] < 0 || grades[i] > 100) {
          Console.WriteLine("Invalid value!");
          Console.Write("Enter his or her grade: ");
          grades[i] = Int32.Parse(Console.ReadLine());
        }
      }

      //Find the greatest grade
      maximum = grades[0];
      for (i = 1; i <= STUDENTS - 1; i++) {
        if (grades[i] > maximum) {
          maximum = grades[i];
        }
      }

      //Displays the names of all those who share the one greatest grade
      Console.WriteLine("The following students have got the greatest grade:");
      for (i = 0; i <= STUDENTS - 1; i++) {
        if (grades[i] == maximum) {
          Console.WriteLine(names[i]);
        }
      }
    }

  }
}
