﻿using System;

namespace project_34_4_11 {
  class Program {
    const int CARS = 10;
    const int LAPS = 20;

    static void Main(string[] args) {
      int i, j, m, n;
      double element;

      //Read names and elapsed times all together
      string[] names = new string[CARS];
      double[,] elapsed_times = new double[CARS, LAPS];
      for (i = 0; i <= CARS - 1; i++) {
        Console.Write("Enter name for driver No. " + (i + 1) + ": ");
        names[i] = Console.ReadLine();
        for (j = 0; j <= LAPS - 1; j++) {
          Console.Write("Enter elapsed time for lap No. " + (j + 1) + ": ");
          elapsed_times[i, j] = Double.Parse(Console.ReadLine());
        }
      }

      //Sort array elapsed_times
      for (i = 0; i <= CARS - 1; i++) {
        for (m = 1; m <= LAPS - 1; m++) {
          element = elapsed_times[i, m];
          n = m;
          while (n > 0 && elapsed_times[i, n - 1] < element) {
            elapsed_times[i, n] = elapsed_times[i, n - 1];
            n--;
          }
          elapsed_times[i, n] = element;
        }
      }

      //Display 3 worst elapsed times
      for (i = 0; i <= CARS - 1; i++) {
        Console.WriteLine("Worst elapsed times of " + names[i]);
        Console.WriteLine("-----------------------------------");
        for (j = 0; j <= 2; j++) {
          Console.WriteLine(elapsed_times[i, j]);
        }
      }
    }

  }
}
