﻿using System;

namespace project_34_6_5 {
  class Program {
    const int ATHLETES = 20;
    const int SHOTS = 6;

    static void Main(string[] args) {
      int i, j, m, n, temp;
      string temp_str;

      //Read array names and points
      string[] names = new string[ATHLETES];
      int[,] points = new int[ATHLETES, SHOTS];
      for (i = 0; i <= ATHLETES - 1; i++) {
        Console.Write("Enter name for athlete No. " + (i + 1) + ": ");
        names[i] = Console.ReadLine();
        for (j = 0; j <= SHOTS - 1; j++) {
          Console.Write("Enter points for shot No. " + (j + 1) + ": ");
          points[i, j] = Int32.Parse(Console.ReadLine());
        }
      }

      //Create array total
      int[] total = new int[ATHLETES];
      for (i = 0; i <= ATHLETES - 1; i++) {
        total[i] = 0;
        for (j = 0; j <= SHOTS - 1; j++) {
          total[i] += points[i, j];
        }
      }

      //Sort arrays names and total. Perform only 3 passes
      for (m = 1; m <= 3; m++) {
        for (n = ATHLETES - 1; n >= m; n--) {
          if (total[n] > total[n - 1]) {
            temp = total[n];
            total[n] = total[n - 1];
            total[n - 1] = temp;

            temp_str = names[n];
            names[n] = names[n - 1];
            names[n - 1] = temp_str;
          }
        }
      }

      //Display gold, silver and bronze metal
      for (i = 0; i <= 2; i++) {
        Console.WriteLine(names[i] + "\t" + total[i]);
      }
    }

  }
}
