﻿using System;

namespace project_37_4d {
  class Program {
    const int ELEMENTS = 10;

    static int[] get_array(int[] x) {
      int m, n, element;
      int[] aux_x = new int[ELEMENTS];

      //Copy array x to array aux_x
      for (m = 0; m <= ELEMENTS - 1; m++) {
        aux_x[m] = x[m];
      }

      //and sort array aux_x
      for (m = 1; m <= ELEMENTS - 1; m++) {
        element = aux_x[m];

        n = m;
        while (n > 0 && aux_x[n - 1] > element) {
          aux_x[n] = aux_x[n - 1];
          n--;
        }
        aux_x[n] = element;
      }

      int[] ret_array = { aux_x[0], aux_x[1], aux_x[2] };
      return ret_array;
    }

    static void Main(string[] args) {
      int i;

      int[] t = { 75, 73, 78, 70, 71, 74, 72, 69, 79, 77 };

      int[] low = get_array(t);

      Console.WriteLine("Three lowest values are: ");
      Console.WriteLine(low[0] + " " + low[1] + " " + low[2]);

      //In this step, array t is NOT sorted
      for (i = 0; i <= ELEMENTS - 1; i++) {
        Console.WriteLine(t[i]);
      }
    }

  }
}
