﻿using System;

namespace project_30_4_7 {
  class Program {
    const double ACCURACY = 0.0000000000001;

    static void Main(string[] args) {
      double y, guess;

      Random rnd = new Random();

      Console.Write("Enter a non-negative number: ");
      y = Double.Parse(Console.ReadLine());
      while (y < 0) {
        Console.WriteLine("Invalid value. Enter a non-negative number: ");
        y = Double.Parse(Console.ReadLine());
      }

      guess = rnd.Next(1, (int)y);  //Make a random first guess between 1 and given value

      while (Math.Abs(guess * guess - y) > ACCURACY) { //Is it "close enough"?
        guess = (guess + y / guess) / 2;    //No, create a new "guess"!
      }
      Console.WriteLine(guess);
    }

  }
}
