﻿using System;

namespace project_33_4_2a {
  class Program {
    const int STUDENTS = 10;
    const int LESSONS = 5;

    static void Main(string[] args) {
      int i, j;

      //Read names and grades all together. Iterate through rows in array grades
      string[] names = new string[STUDENTS];
      int[,] grades = new int[STUDENTS, LESSONS];
      for (i = 0; i <= STUDENTS - 1; i++) {
        Console.Write("Enter name for student No. " + (i + 1) + ": ");
        names[i] = Console.ReadLine();
        for (j = 0; j <= LESSONS - 1; j++) {
          Console.Write("Enter grade No. " + (j + 1) + " for " + names[i] + ": ");
          grades[i, j] = Int32.Parse(Console.ReadLine());
        }
      }

      //Create array count. Iterate through rows
      int[] count = new int[STUDENTS];
      for (i = 0; i <= STUDENTS - 1; i++) {
        count[i] = 0;
        for (j = 0; j <= LESSONS - 1; j++) {
          if (grades[i, j] > 89) {
            count[i]++;
          }
        }
      }

      //Displays the names of the students who have more than one grade greater than 89
      for (i = 0; i <= STUDENTS - 1; i++) {
        if (count[i] > 1) {
          Console.WriteLine(names[i]);
        }
      }
    }

  }
}
