﻿using System;

namespace project_34_5_7 {
  class Program {
    const int CITIES = 10;
    const int CITIZENS = 30;

    static void Main(string[] args) {
      int i, j, position_i, position_j;
      bool found;
      string needle;

      string[,] phone_num = new string[CITIES, CITIZENS];
      string[,] ans = new string[CITIES, CITIZENS];
      for (i = 0; i <= CITIES - 1; i++) {
        Console.WriteLine("City No. " + (i + 1));
        for (j = 0; j <= CITIZENS - 1; j++) {
          Console.Write("Enter phone number of citizen No. " + (j + 1) + ": ");
          phone_num[i, j] = Console.ReadLine();

          Console.Write("Enter the answer of citizen No. " + (j + 1) + ": ");
          ans[i, j] = Console.ReadLine().ToUpper();
          while (ans[i, j] != "Y" && ans[i, j] != "N" && ans[i, j] != "S") {
            Console.Write("Wrong answer. Enter a valid one: ");
            ans[i, j] = Console.ReadLine().ToUpper();
          }
        }
      }

      Console.Write("Enter a phone number to search: ");
      needle = Console.ReadLine();

      found = false;
      position_i = -1;
      position_j = -1;
      for (i = 0; i <= CITIES - 1; i++) {
        for (j = 0; j <= CITIZENS - 1; j++) {
          if (phone_num[i, j] == needle) { //If it is found
            found = true;
            position_i = i; //Keep row index where needle was found
            position_j = j; //Keep column index where needle was found
            break;  //Exit the inner loop 
          }
        }
        if (found)
          break;  //If it is found, exit the outer loop as well 
      }

      if (!found) {
        Console.WriteLine("Phone number not found!");
      }
      else {
        Console.Write("Phone number " + phone_num[position_i, position_j] + " gave '");

        switch (ans[position_i, position_j]) {
          case "Y":
            Console.Write("Yes");
            break;
          case "N":
            Console.Write("No");
            break;
          default:
            Console.Write("Sometimes");
            break;
        }

        Console.WriteLine("' as an answer");
      }
    }

  }
}
